package com.tuoheng.admin.enums.code.user;

/**
 *  根据部门ID查询用户列表返回码
 *      模块代码：10（用户管理）
 *      接口代码：07 （据部门ID查询用户列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
public enum QueryUserListByDeptIdCodeEnum {

    DEPT_ID_IS_NULL(1100701, "部门ID为空"),
    DEPT_IS_NOT_EXIST(1100702, "部门不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryUserListByDeptIdCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
